export const URLS = Object.freeze({
    additional_delete_contacts_ajax: () => '/api/registry/domain/get_additional_delete_contacts/',
    additional_delete_contacts_result_ajax: () => '/api/registry/domain/update_additional_delete_contacts/',
    additional_outzone_contacts_ajax: () => '/api/registry/domain/get_additional_outzone_contacts/',
    additional_outzone_contacts_result_ajax: () => '/api/registry/domain/update_additional_outzone_contacts/',
    domains_by_contact_ajax: contact_id => `/api/registry/domain/by_contact/${contact_id}/`,
    domain_detail: domain_id => `/registry/domain/${domain_id}/`,
    domain_website: domain_id => `https://${domain_id}/`,
    keyset_detail: keyset_id => `/registry/keyset/${keyset_id}/`,
    nsset_detail: nsset_id => `/registry/nsset/${nsset_id}/`,
    email_attachment: attachment_uuid => `/files/${attachment_uuid}/`,
    log_list: () => '/logger/',
    log_detail_view: log_id => `/logger/${encodeURIComponent(log_id)}/`,
    log_detail_ajax: log_id => `/api/logger/log_entry/${encodeURIComponent(log_id)}/`,
    log_reference: (key_value, uuid) => `/registry/${key_value}/${uuid}/`,
    log_entries: () => '/api/logger/log_entry/',
    log_entry_types: service => `/api/logger/service/${service}/`,
    log_services: () => '/api/logger/service/',
    manual_in_zone: domain_id => `/api/registry/domain/set_manual_in_zone/${domain_id}/`,
    message_list: message_type => `/api/messages/${message_type}/`,
    message_list_by_contact: (message_type, recipient) =>
        `/messages/list/?recipients=${encodeURIComponent(recipient)}&type=${message_type}`,
    message_types: message_type => `/api/messages/subtypes/${message_type}/`,
    message_subtypes: message_type => `/api/messages/subtypes/${message_type}/`,
    message_detail_ajax: (message_id, message_type) => `/api/messages/${message_type}/${message_id}/`,
    message_detail_view: (message_id, message_type) => `/messages/${message_type}/${message_id}/`,
    report_run_result: (service, name) => `/reports/ajax/run/${service}/${name}/`,
})
